Lorene::Bin_ns_ncp Class Reference

Extended description of the class for Doc++ documentation. More...

`#include <bin_ns_ncp.h>`

## Public Member Functions

| Bin_ns_ncp (Map &mp1, int nzet1, const Eos &eos1, int irrot1, Map &mp2, int nzet2, const Eos &eos2, int irrot2, int relat, int conf_flat, const Metrique &flat1, const Metrique &flat2, const Tenseur_sym &source1, const Tenseur_sym &source2)
| Standard constructor.
| Bin_ns_ncp (const Bin_ns_ncp &)
| Bin_ns_ncp (Map &mp1, const Eos &eos1, Map &mp2, const Eos &eos2, const Metrique &flat1, const Metrique &flat2, FILE *fich)
| Copy constructor.
void | operator= (const Bin_ns_ncp &)
| Assignment to another {\tt Bin_ns_ncp}.
Et_bin_ncp & | set (int i)
| Read/write of the star no. i.
double & | set_omega ()
| Sets the orbital angular velocity [{\tt f_unit}].
double & | set_x_axe ()
| Sets the absolute coordinate X of the rotation axis [{\tt r_unit}].
const Et_bin_ncp & | operator() (int i) const
| Returns a reference to the star no. i.
double | get_omega () const
| Returns the orbital angular velocity [{\tt f_unit}].
double | get_x_axe () const
| Returns the absolute coordinate X of the rotation axis [{\tt r_unit}].
double | separation () const
| Returns the coordinate separation of the two stellar centers [{\tt r_unit}].
void | sauve (FILE *) const
void | display_poly (ostream &) const
| Display in polytropic units.
void | write_global (ostream &) const
| Write global quantities in a formatted file.
double | mass_adm () const
| Total ADM mass.
double | mass_kom () const
| Total Komar mass.
const Tbl & | angu_mom () const
| Total angular momentum.
double | total_ener () const
| Total energy (excluding the rest mass energy).
double | virial () const
| Estimates the relative error on the virial theorem (for a relativistic one, it returns $|1 - M_{\rm Komar} / M_{\rm ADM}|$).
double | virial_gb () const
| Estimates the relative error on the virial theorem calculated by E.Gourgoulhon and S.Bonazzola (Class.
double | virial_fus () const
| Estimates the relative error on the virial theorem calculated by J.L.Friedman, K.Uryu, and M.Shibata (PRD accepted, gr-qc/0108070).
double | ham_constr () const
| Estimates the relative error on the Hamiltonian constraint equation by comparing $\underline\Delta\ln A$ with \begin{equation} -4\pi A^2 E - {A^2\over 4} K_{ij} K^{ij} - {1\over 2} {\overline\nabla}_i \ln A {\overline\nabla}^i \ln A \end{equation}.
const Tbl & | mom_constr () const
| Estimates the relative error on the momentum constraint equation by comparing ${\overline\nabla}_j K^{ij}$ with \begin{equation} 8\pi J^i - 5 K^{ij} {\overline\nabla}_j \ln A \end{equation}.
void | orbit (double fact_omeg_min, double fact_omeg_max, double &xgg1, double &xgg2)
| Computes the orbital angular velocity {\tt omega} and the position of the rotation axis {\tt x_axe}.
void | analytical_omega ()
| Sets the orbital angular velocity to some 2-PN analytical value (Keplerian value in the Newtonian case).
void | analytical_shift ()
| Sets some analytical template for the shift vector (via the members {\tt w_shift} and {\tt khi_shift} of the two {\tt Etoile_bin}.
void | fait_decouple ()
| Calculates {tt decouple} which is used to obtain {\tt a_car_auto} by the formula : {\tt a_car_auto} = {\tt decouple} * {\tt a_car_tot}.

## Protected Member Functions

void | del_deriv () const
| Destructor.
void | set_der_0x0 () const
| Sets to {\tt 0x0} all the pointers on derived quantities.

## Protected Attributes

Et_bin_ncp | star1
| First star ncp of the system.
Et_bin_ncp | star2
| Second star ncp of the system.
Et_bin_ncp * | et [2]
| Array of the two stars (to perform loops on the stars): {\tt et[0]} contains the address of {\tt star1} and {\tt et[1]} that of {\tt star2}.
double | omega
| Angular velocity with respect to an asymptotically inertial observer.
double | x_axe
| Absolute X coordinate of the rotation axis.
double * | p_mass_adm
| Total ADM mass of the system.
double * | p_mass_kom
| Total Komar mass of the system.
Tbl * | p_angu_mom
| Total angular momentum of the system.
double * | p_total_ener
| Total energy of the system.
double * | p_virial
| Virial theorem error.
double * | p_virial_gb
| Virial theorem error by E.Gourgoulhon and S.Bonazzola.
double * | p_virial_fus
| Virial theorem error by J.L.Friedman, K.Uryu, and M.Shibata.
double * | p_ham_constr
| Relative error on the Hamiltonian constraint.
Tbl * | p_mom_constr
| Relative error on the momentum constraint.

## Private Member Functions

ostream & | operator>> (ostream &) const
| Operator >> (function called by the operator <<).

## Friends

ostream & | operator<< (ostream &, const Bin_ns_ncp &)
| Save in a file.

## Detailed Description

Extended description of the class for Doc++ documentation.

Version
  #$Id: bin_ns_ncp.h,v 1.8 2016/09/19 15:26:22 j_novak Exp $#

Definition at line 73 of file bin_ns_ncp.h.

## Constructor & Destructor Documentation

## Bin_ns_ncp() [1/2]

Lorene::Bin_ns_ncp::Bin_ns_ncp | ( | Map & | mp1,
|  | int | nzet1,
|  | const Eos & | eos1,
|  | int | irrot1,
|  | Map & | mp2,
|  | int | nzet2,
|  | const Eos & | eos2,
|  | int | irrot2,
|  | int | relat,
|  | int | conf_flat,
|  | const Metrique & | flat1,
|  | const Metrique & | flat2,
|  | const Tenseur_sym & | source1,
|  | const Tenseur_sym & | source2 )

Standard constructor.

Parameters

  mp1 | Mapping on which {\tt star1} will be defined
  nzet1 | Number of domains occupied by {\tt star1}
  eos1 | Equation of state of {\tt star1}
  irrot1 | should be {\tt true} if {\tt star1} is irrotational, {\tt false} if {\tt star1} is corotating
  mp2 | Mapping on which {\tt star2} will be defined
  nzet2 | Number of domains occupied by {\tt star2}
  eos2 | Equation of state of {\tt star2}
  irrot2 | should be {\tt true} if {\tt star2} is irrotational, {\tt false} if {\tt star2} is corotating
  relat | should be {\tt true} for a relativistic configuration, {\tt false} for a Newtonian one

References Bin_ns_ncp(), and Lorene::Map().

## Bin_ns_ncp() [2/2]

Lorene::Bin_ns_ncp::Bin_ns_ncp | ( | Map & | mp1,
|  | const Eos & | eos1,
|  | Map & | mp2,
|  | const Eos & | eos2,
|  | const Metrique & | flat1,
|  | const Metrique & | flat2,
|  | FILE * | fich )

Copy constructor.

Constructor from a file (see {\tt sauve(FILE* )}).

Parameters

  mp1 | Mapping on which {\tt star1} will be defined
  eos1 | Equation of state of {\tt star1}
  mp2 | Mapping on which {\tt star2} will be defined
  eos2 | Equation of state of {\tt star2}
  fich | input file (must have been created by the function {\tt sauve})

References Bin_ns_ncp(), and Lorene::Map().

## Member Function Documentation

## analytical_omega()

void Lorene::Bin_ns_ncp::analytical_omega | ( |  | ) |

Sets the orbital angular velocity to some 2-PN analytical value (Keplerian value in the Newtonian case).

## analytical_shift()

void Lorene::Bin_ns_ncp::analytical_shift | ( |  | ) |

Sets some analytical template for the shift vector (via the members {\tt w_shift} and {\tt khi_shift} of the two {\tt Etoile_bin}.

## angu_mom()

const Tbl & Lorene::Bin_ns_ncp::angu_mom | ( |  | ) | const

Total angular momentum.

Returns
  1-D {\tt Tbl} of size 3, according to \ {\tt angu_mom()(0)} = $J^X$, \ {\tt angu_mom()(1)} = $J^Y$, \ {\tt angu_mom()(2)} = $J^Z$.

## del_deriv()

void Lorene::Bin_ns_ncp::del_deriv | ( |  | ) | const

protected

Destructor.

Deletes all the derived quantities

## display_poly()

void Lorene::Bin_ns_ncp::display_poly | ( | ostream & |  | ) | const

Display in polytropic units.

## fait_decouple()

void Lorene::Bin_ns_ncp::fait_decouple | ( |  | ) |

Calculates {tt decouple} which is used to obtain {\tt a_car_auto} by the formula : {\tt a_car_auto} = {\tt decouple} * {\tt a_car_tot}.

(see the membre {tt Cmp decouple} for more precisions about its value).

## get_omega()

double Lorene::Bin_ns_ncp::get_omega | ( |  | ) | const

inline

Returns the orbital angular velocity [{\tt f_unit}].

Definition at line 215 of file bin_ns_ncp.h.

References omega.

## get_x_axe()

double Lorene::Bin_ns_ncp::get_x_axe | ( |  | ) | const

inline

Returns the absolute coordinate X of the rotation axis [{\tt r_unit}].

Definition at line 218 of file bin_ns_ncp.h.

References x_axe.

## ham_constr()

double Lorene::Bin_ns_ncp::ham_constr | ( |  | ) | const

Estimates the relative error on the Hamiltonian constraint equation by comparing $\underline\Delta\ln A$ with \begin{equation} -4\pi A^2 E - {A^2\over 4} K_{ij} K^{ij} - {1\over 2} {\overline\nabla}_i \ln A {\overline\nabla}^i \ln A \end{equation}.

## mass_adm()

double Lorene::Bin_ns_ncp::mass_adm | ( |  | ) | const

Total ADM mass.

## mass_kom()

double Lorene::Bin_ns_ncp::mass_kom | ( |  | ) | const

Total Komar mass.

## mom_constr()

const Tbl & Lorene::Bin_ns_ncp::mom_constr | ( |  | ) | const

Estimates the relative error on the momentum constraint equation by comparing ${\overline\nabla}_j K^{ij}$ with \begin{equation} 8\pi J^i - 5 K^{ij} {\overline\nabla}_j \ln A \end{equation}.

## operator()()

const Et_bin_ncp & Lorene::Bin_ns_ncp::operator() | ( | int | i | ) | const

inline

Returns a reference to the star no. i.

Definition at line 210 of file bin_ns_ncp.h.

References et.

## operator=()

void Lorene::Bin_ns_ncp::operator= | ( | const Bin_ns_ncp & |  | ) |

Assignment to another {\tt Bin_ns_ncp}.

References Bin_ns_ncp().

## operator>>()

ostream & Lorene::Bin_ns_ncp::operator>> | ( | ostream & |  | ) | const

private

Operator >> (function called by the operator <<).

## orbit()

void Lorene::Bin_ns_ncp::orbit | ( | double | fact_omeg_min,
|  | double | fact_omeg_max,
|  | double & | xgg1,
|  | double & | xgg2 )

Computes the orbital angular velocity {\tt omega} and the position of the rotation axis {\tt x_axe}.

Parameters

  fact_omeg_min | [input] : determines the lower bound of the interval {\tt [omega_min, omega_max]} in which {\tt omega} is searched by {\tt omega_min = fact_omeg_min * omega}, where {\tt omega} is the previous value of the angular velocity (typical value : {\tt fact_omeg_min = 0.5})
  fact_omeg_max | [input] : determines the higher bound of the interval {\tt [omega_min, omega_max]} in which {\tt omega} is searched by {\tt omega_max = fact_omeg_max * omega}, where {\tt omega} is the previous value of the angular velocity. (typical value : {\tt fact_omeg_max = 1.5})
  xgg1 | [output] : x coordinate (relative to star 1 mapping) of the ``center of mass'' of star 1
  xgg2 | [output] : x coordinate (relative to star 2 mapping) of the ``center of mass'' of star 2

## separation()

double Lorene::Bin_ns_ncp::separation | ( |  | ) | const

Returns the coordinate separation of the two stellar centers [{\tt r_unit}].

## set()

Et_bin_ncp & Lorene::Bin_ns_ncp::set | ( | int | i | ) |

inline

Read/write of the star no. i.

Definition at line 194 of file bin_ns_ncp.h.

References del_deriv(), and et.

## set_der_0x0()

void Lorene::Bin_ns_ncp::set_der_0x0 | ( |  | ) | const

protected

Sets to {\tt 0x0} all the pointers on derived quantities.

## set_omega()

double & Lorene::Bin_ns_ncp::set_omega | ( |  | ) |

inline

Sets the orbital angular velocity [{\tt f_unit}].

Definition at line 200 of file bin_ns_ncp.h.

References omega.

## set_x_axe()

double & Lorene::Bin_ns_ncp::set_x_axe | ( |  | ) |

inline

Sets the absolute coordinate X of the rotation axis [{\tt r_unit}].

Definition at line 203 of file bin_ns_ncp.h.

References x_axe.

## total_ener()

double Lorene::Bin_ns_ncp::total_ener | ( |  | ) | const

Total energy (excluding the rest mass energy).

In the Newtonian case, it is defined as the sum of kinetic, internal, and gravitational potential energies.

In the relativistic case, it is defined as $M_{\rm ADM} - M_{\rm bar,1} - M_{\rm bar,2}$.

## virial()

double Lorene::Bin_ns_ncp::virial | ( |  | ) | const

Estimates the relative error on the virial theorem (for a relativistic one, it returns $|1 - M_{\rm Komar} / M_{\rm ADM}|$).

## virial_fus()

double Lorene::Bin_ns_ncp::virial_fus | ( |  | ) | const

Estimates the relative error on the virial theorem calculated by J.L.Friedman, K.Uryu, and M.Shibata (PRD accepted, gr-qc/0108070).

The expression used in the LORENE is Eq.(5.7) in the paper by M.Shibata and K.Uryu (PRD64, 104017 (2001))

## virial_gb()

double Lorene::Bin_ns_ncp::virial_gb | ( |  | ) | const

Estimates the relative error on the virial theorem calculated by E.Gourgoulhon and S.Bonazzola (Class.

Quantum Grav. 11, 443 (1994): Eq.(29)) normalized by $2 \pi G$.

## write_global()

void Lorene::Bin_ns_ncp::write_global | ( | ostream & |  | ) | const

Write global quantities in a formatted file.

This file can be read by an external program.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | ,
|  | const Bin_ns_ncp & | )

friend

Save in a file.

Display

References Bin_ns_ncp().

## Member Data Documentation

## et

Et_bin_ncp* Lorene::Bin_ns_ncp::et[2]

protected

Array of the two stars (to perform loops on the stars): {\tt et[0]} contains the address of {\tt star1} and {\tt et[1]} that of {\tt star2}.

Definition at line 89 of file bin_ns_ncp.h.

## omega

double Lorene::Bin_ns_ncp::omega

protected

Angular velocity with respect to an asymptotically inertial observer.

Definition at line 94 of file bin_ns_ncp.h.

## p_angu_mom

Tbl* Lorene::Bin_ns_ncp::p_angu_mom

mutable protected

Total angular momentum of the system.

Definition at line 111 of file bin_ns_ncp.h.

## p_ham_constr

double* Lorene::Bin_ns_ncp::p_ham_constr

mutable protected

Relative error on the Hamiltonian constraint.

Definition at line 126 of file bin_ns_ncp.h.

## p_mass_adm

double* Lorene::Bin_ns_ncp::p_mass_adm

mutable protected

Total ADM mass of the system.

Definition at line 105 of file bin_ns_ncp.h.

## p_mass_kom

double* Lorene::Bin_ns_ncp::p_mass_kom

mutable protected

Total Komar mass of the system.

Definition at line 108 of file bin_ns_ncp.h.

## p_mom_constr

Tbl* Lorene::Bin_ns_ncp::p_mom_constr

mutable protected

Relative error on the momentum constraint.

Definition at line 129 of file bin_ns_ncp.h.

## p_total_ener

double* Lorene::Bin_ns_ncp::p_total_ener

mutable protected

Total energy of the system.

Definition at line 114 of file bin_ns_ncp.h.

## p_virial

double* Lorene::Bin_ns_ncp::p_virial

mutable protected

Virial theorem error.

Definition at line 117 of file bin_ns_ncp.h.

## p_virial_fus

double* Lorene::Bin_ns_ncp::p_virial_fus

mutable protected

Virial theorem error by J.L.Friedman, K.Uryu, and M.Shibata.

Definition at line 123 of file bin_ns_ncp.h.

## p_virial_gb

double* Lorene::Bin_ns_ncp::p_virial_gb

mutable protected

Virial theorem error by E.Gourgoulhon and S.Bonazzola.

Definition at line 120 of file bin_ns_ncp.h.

## star1

Et_bin_ncp Lorene::Bin_ns_ncp::star1

protected

First star ncp of the system.

Definition at line 80 of file bin_ns_ncp.h.

## star2

Et_bin_ncp Lorene::Bin_ns_ncp::star2

protected

Second star ncp of the system.

Definition at line 83 of file bin_ns_ncp.h.

## x_axe

double Lorene::Bin_ns_ncp::x_axe

protected

Absolute X coordinate of the rotation axis.

Definition at line 98 of file bin_ns_ncp.h.

The documentation for this class was generated from the following file:

- bin_ns_ncp.h